diff -Naur gnome-spell-1.0.5-old/gnome-spell/Makefile.in gnome-spell-1.0.5/gnome-spell/Makefile.in
--- gnome-spell-1.0.5-old/gnome-spell/Makefile.in	2003-07-30 11:45:02.000000000 -0400
+++ gnome-spell-1.0.5/gnome-spell/Makefile.in	2004-06-10 09:39:55.000000000 -0400
@@ -138,7 +138,6 @@
         -DGNOMELOCALEDIR=\""$(datadir)/locale"\"        \
 	-DGLADE_DATADIR=\"$(gladedir)\"			\
 	-DPLUGIN_DIR=\""$(PLUGIN_DIR)"\"		\
-	-DGTK_DISABLE_DEPRECATED=1			\
 	-DASPELL_DICT=\""$(ASPELL_DICT)"\"		\
 	$(GNOME_SPELL_CFLAGS)				\
 	$(END)
@@ -246,6 +245,9 @@
 
 TAR = gtar
 GZIP_ENV = --best
+DEP_FILES =  .deps/Spell-common.P .deps/Spell-skels.P \
+.deps/Spell-stubs.P .deps/control.P .deps/dictionary.P \
+.deps/spell-factory.P .deps/test-spell.P
 SOURCES = $(libgnome_spell_idl_la_SOURCES) $(libgnome_spell_component_la_SOURCES) $(test_gnome_spell_component_SOURCES)
 OBJECTS = $(libgnome_spell_idl_la_OBJECTS) $(libgnome_spell_component_la_OBJECTS) $(test_gnome_spell_component_OBJECTS)
 
@@ -253,9 +255,9 @@
 .SUFFIXES:
 .SUFFIXES: .S .c .lo .o .obj .s
 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
-	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps gnome-spell/Makefile
+	cd $(top_srcdir) && $(AUTOMAKE) --gnu gnome-spell/Makefile
 
-Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
+Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
 	cd $(top_builddir) \
 	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
 
@@ -294,9 +296,6 @@
 	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(privlibdir)/$$p; \
 	done
 
-.c.o:
-	$(COMPILE) -c $<
-
 # FIXME: We should only use cygpath when building on Windows,
 # and only if it is available.
 .c.obj:
@@ -319,9 +318,6 @@
 
 maintainer-clean-compile:
 
-.c.lo:
-	$(LIBTOOL) --mode=compile $(COMPILE) -c $<
-
 .s.lo:
 	$(LIBTOOL) --mode=compile $(COMPILE) -c $<
 
@@ -448,6 +444,11 @@
 subdir = gnome-spell
 
 distdir: $(DISTFILES)
+	here=`cd $(top_builddir) && pwd`; \
+	top_distdir=`cd $(top_distdir) && pwd`; \
+	distdir=`cd $(distdir) && pwd`; \
+	cd $(top_srcdir) \
+	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu gnome-spell/Makefile
 	@for file in $(DISTFILES); do \
 	  d=$(srcdir); \
 	  if test -d $$d/$$file; then \
@@ -458,17 +459,38 @@
 	    || cp -p $$d/$$file $(distdir)/$$file || :; \
 	  fi; \
 	done
-control.lo control.o : control.c ../config.h Spell.h control.h
-dictionary.lo dictionary.o : dictionary.c ../config.h Spell.h \
-	dictionary.h
-preload.o: preload.c ../config.h preload.h
-Spell-common.lo Spell-common.o : Spell-common.c Spell.h
-spell-factory.lo spell-factory.o : spell-factory.c ../config.h Spell.h \
-	dictionary.h control.h
-Spell-skels.lo Spell-skels.o : Spell-skels.c Spell.h
-Spell-stubs.lo Spell-stubs.o : Spell-stubs.c Spell.h
-test-spell.o: test-spell.c ../config.h Spell.h
 
+DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)
+
+-include $(DEP_FILES)
+
+mostlyclean-depend:
+
+clean-depend:
+
+distclean-depend:
+	-rm -rf .deps
+
+maintainer-clean-depend:
+
+%.o: %.c
+	@echo '$(COMPILE) -c $<'; \
+	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
+	@-cp .deps/$(*F).pp .deps/$(*F).P; \
+	tr ' ' '\012' < .deps/$(*F).pp \
+	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
+	    >> .deps/$(*F).P; \
+	rm .deps/$(*F).pp
+
+%.lo: %.c
+	@echo '$(LTCOMPILE) -c $<'; \
+	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
+	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
+	  < .deps/$(*F).pp > .deps/$(*F).P; \
+	tr ' ' '\012' < .deps/$(*F).pp \
+	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
+	    >> .deps/$(*F).P; \
+	rm -f .deps/$(*F).pp
 info-am:
 info: info-am
 dvi-am:
@@ -514,20 +536,20 @@
 mostlyclean-am:  mostlyclean-noinstLTLIBRARIES \
 		mostlyclean-privlibLTLIBRARIES mostlyclean-compile \
 		mostlyclean-libtool mostlyclean-noinstPROGRAMS \
-		mostlyclean-tags mostlyclean-generic
+		mostlyclean-tags mostlyclean-depend mostlyclean-generic
 
 mostlyclean: mostlyclean-am
 
 clean-am:  clean-noinstLTLIBRARIES clean-privlibLTLIBRARIES \
 		clean-compile clean-libtool clean-noinstPROGRAMS \
-		clean-tags clean-generic mostlyclean-am
+		clean-tags clean-depend clean-generic mostlyclean-am
 
 clean: clean-am
 
 distclean-am:  distclean-noinstLTLIBRARIES distclean-privlibLTLIBRARIES \
 		distclean-compile distclean-libtool \
 		distclean-noinstPROGRAMS distclean-tags \
-		distclean-generic clean-am
+		distclean-depend distclean-generic clean-am
 	-rm -f libtool
 
 distclean: distclean-am
@@ -536,7 +558,8 @@
 		maintainer-clean-privlibLTLIBRARIES \
 		maintainer-clean-compile maintainer-clean-libtool \
 		maintainer-clean-noinstPROGRAMS maintainer-clean-tags \
-		maintainer-clean-generic distclean-am
+		maintainer-clean-depend maintainer-clean-generic \
+		distclean-am
 	@echo "This command is intended for maintainers to use;"
 	@echo "it deletes files that may require special tools to rebuild."
 
@@ -554,8 +577,9 @@
 maintainer-clean-noinstPROGRAMS uninstall-gladeDATA install-gladeDATA \
 uninstall-idlDATA install-idlDATA uninstall-serverDATA \
 install-serverDATA tags mostlyclean-tags distclean-tags clean-tags \
-maintainer-clean-tags distdir info-am info dvi-am dvi check check-am \
-installcheck-am installcheck install-exec-am install-exec \
+maintainer-clean-tags distdir mostlyclean-depend distclean-depend \
+clean-depend maintainer-clean-depend info-am info dvi-am dvi check \
+check-am installcheck-am installcheck install-exec-am install-exec \
 install-data-am install-data install-am install uninstall-am uninstall \
 all-redirect all-am all installdirs mostlyclean-generic \
 distclean-generic clean-generic maintainer-clean-generic clean \
diff -Naur gnome-spell-1.0.5-old/po/Makefile.in.in gnome-spell-1.0.5/po/Makefile.in.in
--- gnome-spell-1.0.5-old/po/Makefile.in.in	2003-07-30 11:43:01.000000000 -0400
+++ gnome-spell-1.0.5/po/Makefile.in.in	2004-06-10 09:39:28.000000000 -0400
@@ -28,7 +28,7 @@
 exec_prefix = @exec_prefix@
 datadir = @datadir@
 libdir = @libdir@
-localedir = $(libdir)/locale
+localedir = $(datadir)/locale
 gnulocaledir = $(datadir)/locale
 gettextsrcdir = $(datadir)/glib-2.0/gettext/po
 subdir = po
